AWTEventListenerProxy (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: java.awt.event, class: AWTEventListenerProxy
Keywords: java.awt.event.AWTEventListenerProxy class

# Class AWTEventListenerProxy

java.lang.Object
java.util.EventListenerProxy<AWTEventListener>
java.awt.event.AWTEventListenerProxy

All Implemented Interfaces:
  `AWTEventListener`, `EventListener`

public class AWTEventListenerProxy extends EventListenerProxy<AWTEventListener> implements AWTEventListener
A class which extends the `EventListenerProxy` specifically for adding an `AWTEventListener` for a specific event mask. Instances of this class can be added as `AWTEventListener`s to a `Toolkit` object.

The `getAWTEventListeners` method of `Toolkit` can return a mixture of `AWTEventListener` and `AWTEventListenerProxy` objects.

Since:
  1.4
See Also:
  - `Toolkit`
  - `EventListenerProxy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AWTEventListenerProxy(long eventMask, AWTEventListener listener)`
  Constructor which binds the `AWTEventListener` to a specific event mask.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `eventDispatched(AWTEvent event)`
  Forwards the AWT event to the listener delegate.
  `long`
  `getEventMask()`
  Returns the event mask associated with the listener.

  ### Methods declared in class java.util.EventListenerProxy

  `getListener`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AWTEventListenerProxy

    public AWTEventListenerProxy(long eventMask, AWTEventListener listener)
    Constructor which binds the `AWTEventListener` to a specific event mask.
    Parameters:
      `eventMask` - the bitmap of event types to receive
      `listener` - the listener object

- ## Method Details

  - ### eventDispatched

    public void eventDispatched(AWTEvent event)
    Forwards the AWT event to the listener delegate.
    Specified by:
      `eventDispatched` in interface `AWTEventListener`
    Parameters:
      `event` - the AWT event

  - ### getEventMask

    public long getEventMask()
    Returns the event mask associated with the listener.
    Returns:
      the event mask associated with the listener